<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class NGL_Configuracion extends Model
{
    protected $table = "dse_ngl_configuracion";
    //protected $fillable = [ 'periodo_id', 'fecha_mostrar', 'fecha_ocultar', 'fecha', 'hora_inicio', 'hora_cierre', 'duracion', 'fecha_grupo', 'estado', 'inicio_pago', 'cierre_pago', 'url' ];
    protected $connection = 'planeacion';
    protected $dates = [ 'fecha', 'fecha_mostrar', 'fecha_ocultar', 'fecha_grupo', 'inicio_pago', 'cierre_pago' ];

    /*public function periodo(){
        return $this->hasOne('App\Periodo', 'id', 'periodo_id');
    }

    public function niveles(){
        return $this->hasMany('App\ConfiguracionNivel');
    }

    public function modulos(){
        return $this->hasMany('App\Modulo');
    }*/
}
